=== modified file 'configure.ac'
--- configure.ac	2009-07-27 17:26:22 +0000
+++ configure.ac	2009-07-30 06:49:08 +0000
@@ -27,7 +27,7 @@
 PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, use-gnulib, require-cxx, force-gcc42)
 
 # Version with no dots
-AC_DEFINE([DRIZZLE_VERSION_ID],[RELEASE_ID],
+AC_DEFINE([DRIZZLE_VERSION_ID],RELEASE_ID,
 	  [Version ID that can be easily used for numeric comparison])
 
 AC_DEFINE([_BACKWARD_BACKWARD_WARNING_H],[1],[Hack to disable deprecation warning in gcc])
@@ -128,25 +128,6 @@
       AC_MSG_ERROR([libz is required for Drizzle. On Debian this can be found in zlib1g-dev. On RedHat this can be found in zlib-devel.]))
 
 #--------------------------------------------------------------------
-# Check for TBB
-#--------------------------------------------------------------------
-
-AC_LANG_PUSH(C++)
-AC_LIB_HAVE_LINKFLAGS(tbb,,
-[#include <tbb/atomic.h>
- #include <stdint.h>
-],
-[
-  tbb::atomic<uint64_t> x;
-  tbb::atomic<uint8_t> y;
-  x=0;
-  y=0;
-  x++;
-  y++;
-])
-AC_LANG_POP()
-
-#--------------------------------------------------------------------
 # Check for libreadline or compatible (libedit on Mac OS X)
 #--------------------------------------------------------------------
 

=== modified file 'drizzled/atomics.h'
--- drizzled/atomics.h	2009-07-15 05:28:57 +0000
+++ drizzled/atomics.h	2009-07-30 06:49:08 +0000
@@ -21,17 +21,6 @@
 #ifndef DRIZZLED_ATOMICS_H
 #define DRIZZLED_ATOMICS_H
 
-#if defined(HAVE_LIBTBB)
-# include <tbb/atomic.h>
-/* We're actually using the TBB interface directly, but we don't want to tie
- * the code to a specific implementation. So suck the tbb:: stuff into the
- * drizzled namespace
- */
-namespace drizzled {
-  using namespace tbb;
-}
-#else
-
 # if defined(__SUNPRO_CC)
 #  include <drizzled/atomic/sun_studio.h>
 # endif
@@ -185,6 +174,5 @@
 #  endif
 
 }
-# endif /* defined(HAVE_LIBTBB) */
 
 #endif /* DRIZZLED_ATOMIC_H */

=== modified file 'm4/pandora_64bit.m4'
--- m4/pandora_64bit.m4	2009-07-28 18:36:07 +0000
+++ m4/pandora_64bit.m4	2009-08-04 17:58:31 +0000
@@ -9,12 +9,11 @@
 AC_DEFUN([PANDORA_64BIT],[
   AC_BEFORE([$0], [AC_LIB_PREFIX])
 
-
-  AC_ARG_ENABLE([64bit],[
-    AS_HELP_STRING([--disable-64bit],
+  AC_ARG_ENABLE([64bit],
+    [AS_HELP_STRING([--disable-64bit],
       [Build 64 bit binary @<:@default=on@:>@])],
-             [ac_enable_64bit="$enableval"],
-             [ac_enable_64bit="yes"])
+    [ac_enable_64bit="$enableval"],
+    [ac_enable_64bit="yes"])
 
   AC_CHECK_PROGS(ISAINFO, [isainfo], [no])
   AS_IF([test "x$ISAINFO" != "xno"],
@@ -38,8 +37,17 @@
        libdir="${libdir}/${isainfo_k}"
       ])
 
-      CPPFLAGS="-m64 ${CPPFLAGS}"
-      LDFLAGS="-m64 ${LDFLAGS}"
+      AS_IF([test "x${ac_cv_env_CFLAGS_set}" = "x"],[
+        CFLAGS="${CFLAGS} -m64"
+        ac_cv_env_CFLAGS_set=set
+        ac_cv_env_CFLAGS_value='-m64'
+      ])
+      AS_IF([test "x${ac_cv_env_CXXFLAGS_set}" = "x"],[
+        CXXFLAGS="${CXXFLAGS} -m64"
+        ac_cv_env_CXXFLAGS_set=set
+        ac_cv_env_CXXFLAGS_value='-m64'
+      ])
+
       AS_IF([test "$target_cpu" = "sparc" -a "x$SUNCC" = "xyes"],[
         AM_CFLAGS="-xmemalign=8s ${AM_CFLAGS}"
         AM_CXXFLAGS="-xmemalign=8s ${AM_CXXFLAGS}"

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-07-28 18:59:08 +0000
+++ m4/pandora_canonical.m4	2009-08-04 18:26:02 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.33])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.38])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds
@@ -63,7 +63,7 @@
 
   dnl Once we can use a modern autoconf, we can use this
   dnl AC_PROG_CC_C99
-  AC_PROG_CXX
+  AC_REQUIRE([AC_PROG_CXX])
   AC_PROG_CPP
   AM_PROG_CC_C_O
 

=== modified file 'm4/pandora_have_better_malloc.m4'
--- m4/pandora_have_better_malloc.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_better_malloc.m4	2009-08-04 18:26:02 +0000
@@ -11,8 +11,16 @@
   AC_ARG_ENABLE([umem],
     [AS_HELP_STRING([--enable-umem],
        [Enable linking with libumem @<:@default=off@:>@])],
-    [ac_enable_umem="$enableval"],
-    [ac_enable_umem="no"])
+    [ac_enable_umem="$enableval"],[
+      case "$target_os" in
+        *solaris*)
+          ac_enable_umem="yes"
+        ;;
+        *)
+          ac_enable_umem="no"
+        ;;
+      esac
+    ])
   
   AC_ARG_ENABLE([tcmalloc],
     [AS_HELP_STRING([--enable-tcmalloc],

=== modified file 'm4/pandora_have_libdrizzle.m4'
--- m4/pandora_have_libdrizzle.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libdrizzle.m4	2009-07-29 18:27:28 +0000
@@ -9,16 +9,25 @@
   dnl --------------------------------------------------------------------
   dnl  Check for libdrizzle
   dnl --------------------------------------------------------------------
-  
-  AC_LIB_HAVE_LINKFLAGS(drizzle,,[
-    #include <libdrizzle/drizzle_client.h>
+
+  AC_ARG_ENABLE([libdrizzle],
+    [AS_HELP_STRING([--disable-libdrizzle],
+      [Build with libdrizzle support @<:@default=on@:>@])],
+    [ac_enable_libdrizzle="$enableval"],
+    [ac_enable_libdrizzle="yes"])
+
+  AS_IF([test "x$ac_enable_libdrizzle" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(drizzle,,[
+      #include <libdrizzle/drizzle_client.h>
+    ],[
+      drizzle_st drizzle;
+      drizzle_version();
+    ])
   ],[
-    drizzle_st drizzle;
-    drizzle_version();
+    ac_cv_libdrizzle="no"
   ])
   
   AM_CONDITIONAL(HAVE_LIBDRIZZLE, [test "x${ac_cv_libdrizzle}" = "xyes"])
-
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBDRIZZLE],[
@@ -27,7 +36,7 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBDRIZZLE],[
   AC_REQUIRE([PANDORA_HAVE_LIBDRIZZLE])
-  AS_IF([test x$ac_cv_libdrizzle = xno],
+  AS_IF([test "x${ac_cv_libdrizzle}" = "xno"],
       AC_MSG_ERROR([libdrizzle is required for ${PACKAGE}]))
 ])
 

=== modified file 'm4/pandora_have_libgearman.m4'
--- m4/pandora_have_libgearman.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libgearman.m4	2009-07-29 18:27:28 +0000
@@ -10,14 +10,24 @@
   dnl  Check for libgearman
   dnl --------------------------------------------------------------------
 
-  AC_LIB_HAVE_LINKFLAGS(gearman,, 
-    [#include <libgearman/gearman.h>],[ 
-      gearman_client_st gearman_client; 
-      gearman_version(); 
-    ]) 
+  AC_ARG_ENABLE([libgearman],
+    [AS_HELP_STRING([--disable-libgearman],
+      [Build with libgearman support @<:@default=on@:>@])],
+    [ac_enable_libgearman="$enableval"],
+    [ac_enable_libgearman="yes"])
+
+  AS_IF([test "x$ac_enable_libgearman" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(gearman,,[
+      #include <libgearman/gearman.h>
+    ],[
+      gearman_client_st gearman_client;
+      gearman_version();
+    ])
+  ],[
+    ac_cv_libgearman="no"
+  ])
 
   AM_CONDITIONAL(HAVE_LIBGEARMAN, [test "x${ac_cv_libgearman}" = "xyes"])
-  
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBGEARMAN],[
@@ -26,6 +36,6 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBGEARMAN],[
   AC_REQUIRE([PANDORA_HAVE_LIBGEARMAN])
-  AS_IF([test x$ac_cv_libgearman = xno],
+  AS_IF([test "x${ac_cv_libgearman}" = "xno"],
       AC_MSG_ERROR([libgearman is required for ${PACKAGE}]))
 ])

=== modified file 'm4/pandora_have_libmemcached.m4'
--- m4/pandora_have_libmemcached.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libmemcached.m4	2009-07-29 18:27:28 +0000
@@ -10,18 +10,27 @@
   dnl  Check for libmemcached
   dnl --------------------------------------------------------------------
 
-  AC_LIB_HAVE_LINKFLAGS(memcached,,[
-    #include <libmemcached/memcached.h>
-  ], [
-    memcached_st memc;
-    memcached_dump_func *df;
-    memcached_version();
+  AC_ARG_ENABLE([libmemcached],
+    [AS_HELP_STRING([--disable-libmemcached],
+      [Build with libmemcached support @<:@default=on@:>@])],
+    [ac_enable_libmemcached="$enableval"],
+    [ac_enable_libmemcached="yes"])
+
+  AS_IF([test "x$ac_enable_libmemcached" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(memcached,,[
+      #include <libmemcached/memcached.h>
+    ],[
+      memcached_st memc;
+      memcached_dump_func *df;
+      memcached_version();
+    ])
+  ],[
+    ac_cv_libmemcached="no"
   ])
   
   AM_CONDITIONAL(HAVE_LIBMEMCACHED, [test "x${ac_cv_libmemcached}" = "xyes"])
   
   AS_IF([test "x${ac_cv_libmemcached}" = "xyes"], [ PANDORA_WITH_MEMCACHED ])
-
 ])
 
 AC_DEFUN([PANDORA_HAVE_LIBMEMCACHED],[

=== modified file 'm4/pandora_have_libpq.m4'
--- m4/pandora_have_libpq.m4	2009-07-28 18:59:08 +0000
+++ m4/pandora_have_libpq.m4	2009-07-29 18:27:28 +0000
@@ -6,20 +6,30 @@
 AC_DEFUN([_PANDORA_SEARCH_LIBPQ],[
   AC_REQUIRE([AC_LIB_PREFIX])
 
-  AC_CHECK_HEADERS([libpq-fe.h])
   dnl --------------------------------------------------------------------
   dnl  Check for libpq
   dnl --------------------------------------------------------------------
 
-  AC_LIB_HAVE_LINKFLAGS(pq,,[
-    #ifdef HAVE_LIBPQ_FE_H
-    # include <libpq-fe.h>
-    #else
-    # include <postgresql/libpq-fe.h>
-    #endif
-  ], [
-    PGconn *conn;
-    conn = PQconnectdb(NULL);
+  AC_ARG_ENABLE([libpq],
+    [AS_HELP_STRING([--disable-libpq],
+      [Build with libpq support @<:@default=on@:>@])],
+    [ac_enable_libpq="$enableval"],
+    [ac_enable_libpq="yes"])
+
+  AS_IF([test "x$ac_enable_libpq" = "xyes"],[
+    AC_CHECK_HEADERS([libpq-fe.h])
+    AC_LIB_HAVE_LINKFLAGS(pq,,[
+      #ifdef HAVE_LIBPQ_FE_H
+      # include <libpq-fe.h>
+      #else
+      # include <postgresql/libpq-fe.h>
+      #endif
+    ], [
+      PGconn *conn;
+      conn = PQconnectdb(NULL);
+    ])
+  ],[
+    ac_cv_libpq="no"
   ])
   
   AM_CONDITIONAL(HAVE_LIBPQ, [test "x${ac_cv_libpq}" = "xyes"])
@@ -31,6 +41,6 @@
 
 AC_DEFUN([PANDORA_REQUIRE_LIBPQ],[
   AC_REQUIRE([PANDORA_HAVE_LIBPQ])
-  AS_IF([test x$ac_cv_libpq = xno],
-      AC_MSG_ERROR([libpq is required for ${PACKAGE}]))
+  AS_IF([test "x${ac_cv_libpq}" = "xno"],
+    AC_MSG_ERROR([libpq is required for ${PACKAGE}]))
 ])

=== renamed file 'm4/pandora_have_sqlite.m4' => 'm4/pandora_have_libsqlite3.m4'
--- m4/pandora_have_sqlite.m4	2009-07-14 22:35:09 +0000
+++ m4/pandora_have_libsqlite3.m4	2009-07-29 18:27:28 +0000
@@ -3,22 +3,40 @@
 dnl gives unlimited permission to copy and/or distribute it,
 dnl with or without modifications, as long as this notice is preserved.
 
-
-AC_DEFUN([_PANDORA_SEARCH_SQLITE],[
+AC_DEFUN([_PANDORA_SEARCH_LIBSQLITE3],[
   AC_REQUIRE([AC_LIB_PREFIX])
 
-  AC_LIB_HAVE_LINKFLAGS(sqlite3,,[
-    #include <stdio.h>
-    #include <sqlite3.h>
+  dnl --------------------------------------------------------------------
+  dnl  Check for libsqlite3
+  dnl --------------------------------------------------------------------
+
+  AC_ARG_ENABLE([libsqlite3],
+    [AS_HELP_STRING([--disable-libsqlite3],
+      [Build with libsqlite3 support @<:@default=on@:>@])],
+    [ac_enable_libsqlite3="$enableval"],
+    [ac_enable_libsqlite3="yes"])
+
+  AS_IF([test "x$ac_enable_libsqlite3" = "xyes"],[
+    AC_LIB_HAVE_LINKFLAGS(sqlite3,,[
+      #include <stdio.h>
+      #include <sqlite3.h>
+    ],[
+      sqlite3 *db;
+      sqlite3_open(NULL, &db);
+    ])
   ],[
-    sqlite3 *db;
-    sqlite3_open(NULL, &db);
+    ac_cv_libsqlite3="no"
   ])
 
   AM_CONDITIONAL(HAVE_LIBSQLITE3, [test "x${ac_cv_libsqlite3}" = "xyes"])
-
-])
-
-AC_DEFUN([PANDORA_HAVE_SQLITE],[
-  AC_REQUIRE([_PANDORA_SEARCH_SQLITE])
+])
+
+AC_DEFUN([PANDORA_HAVE_LIBSQLITE3],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBSQLITE3])
+])
+
+AC_DEFUN([PANDORA_REQUIRE_LIBSQLITE3],[
+  AC_REQUIRE([_PANDORA_SEARCH_LIBSQLITE3])
+  AS_IF([test "x${ac_cv_libsqlite3}" = "xno"],
+    AC_MSG_ERROR([libsqlite3 is required for ${PACKAGE}]))
 ])

=== modified file 'm4/pandora_platform.m4'
--- m4/pandora_platform.m4	2009-07-27 00:00:32 +0000
+++ m4/pandora_platform.m4	2009-07-29 22:03:46 +0000
@@ -22,7 +22,7 @@
   AC_DEFINE_UNQUOTED([TARGET_CPU], ["$target_cpu"], [CPU of Target System])
 
 
-  case "$target_os" in
+  case "$host_os" in
     *solaris*|*freebsd*)
     AS_IF([test "x${ac_cv_env_CPPFLAGS_set}" = "x"],[
       CPPFLAGS="${CPPFLAGS} -I/usr/local/include"

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2009-07-27 00:26:28 +0000
+++ m4/pandora_warnings.m4	2009-07-29 22:03:46 +0000
@@ -249,7 +249,7 @@
 
     CC_WARNINGS="-v -errtags=yes ${W_FAIL} ${CC_WARNINGS_FULL}"
     CXX_WARNINGS="+w +w2 -xwe -xport64 -errtags=yes ${CXX_WARNINGS_FULL} ${W_FAIL}"
-    PROTOSKIP_WARNINGS="-erroff=attrskipunsup,doubunder,reftotemp,wbadinitl,identexpected,inllargeuse,truncwarn1,signextwarn"
+    PROTOSKIP_WARNINGS="-erroff=attrskipunsup,doubunder,reftotemp,wbadinitl,identexpected,inllargeuse,truncwarn1,signextwarn,partinit"
     NO_UNREACHED="-erroff=E_STATEMENT_NOT_REACHED"
 
   ])

